Bug 226433 - Merge Review: stardict
Summary: Merge Review: stardict
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 21:01 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-19 06:58:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 21:01:38 UTC
Fedora Merge Review: stardict

http://cvs.fedora.redhat.com/viewcvs/devel/stardict/
Initial Owner: majain@redhat.com

Comment 1 Parag AN(पराग) 2007-08-31 10:40:45 UTC
rpmlint on binary RPM gave ->

I: stardict checking
W: stardict non-conffile-in-etc /etc/gconf/schemas/stardict.schemas
A non-executable file in your package is being installed in /etc, but is not
a configuration file. All non-executable files in /etc should be configuration
files. Mark the file as %config in the spec file.

W: stardict invalid-license GPL
The value of the License tag was not recognized.  Known values are:
"Affero GPL", "AFL", "ASL 1.0", "ASL 1.0+", "ASL 1.1", "ASL 1.1+", "ASL 2.0",
"ASL 2.0+", "APSL 2.0", "APSL 2.0+", "Artistic 2.0", "Artistic clarified",
"BitTorrent", "Boost", "BSD", "BSD with advertising", "CeCILL", "CDDL", "CPL",
"Condor", "Copyright only", "Cryptix", "Crystal Stacker", "EPL", "eCos", "EFL
2.0", "EFL 2.0+", "EU Datagrid", "Giftware", "Glide", "GPL+", "GPL+ or
Artistic", "GPLv2", "GPLv2 with exceptions", "GPLv2+", "GPLv3", "GPLv3+",
"IBM", "IJG", "iMatix", "Intel ACPI", "Interbase", "ISC", "Jabber", "JasPer",
"LGPLv2", "LGPLv2 with exceptions", "LGPLv2+", "LGPLv3", "LGPLv3+", "libtiff",
"LPL", "LPPL", "mecab-ipadic", "MIT", "MPLv1.0", "MPLv1.0+", "MPLv1.1",
"MPLv1.1+", "NCSA", "NGPL", "NOSL", "Netscape", "Nokia", "OpenLDAP", "OSL
1.0", "OSL 1.0+", "OSL 2.0", "OSL 2.0+", "OSL 3.0", "OSL 3.0+", "OpenSSL",
"Phorum", "PHP", "Public Domain", "Python", "QPL", "RPSL", "Ruby",
"Sleepycat", "SISSL", "SPL", "TCL", "UCD", "Vim", "VNLSL", "VSL", "W3C",
"WTFPL", "wxWindows", "xinetd", "Zend", "ZPLv1.0", "ZPLv1.0+", "ZPLv2.0",
"ZPLv2.0+", "zlib", "CDL", "FBSDDL", "GFDL", "Open Publication", "CC-BY", "CC-
BY-SA", "DSL", "Free Art", "Arphic", "Bitstream Vera", "mplus", "OFL",
"Utopia", "Redistributable, no modification permitted", "Freely
redistributable without restriction".


Comment 2 Hu Zheng 2007-09-03 02:51:50 UTC
How to resolve the first warning? I see gedit, pidgin all have this problem.

I will change the License tag to GPLv3.


Comment 3 Parag AN(पराग) 2007-09-03 03:32:35 UTC
add %config to %{_sysconfdir}/gconf/schemas/*.schemas

-->
%config(noreplace)  %{_sysconfdir}/gconf/schemas/*.schemas


Comment 4 Hu Zheng 2007-09-03 03:45:44 UTC
OK, cvs updated. No rpmlint warning now.

Comment 5 Mamoru TASAKA 2007-09-03 04:20:15 UTC
(In reply to comment #3)
> add %config to %{_sysconfdir}/gconf/schemas/*.schemas
> 
> -->
> %config(noreplace)  %{_sysconfdir}/gconf/schemas/*.schemas
> 

Well.. gconf schemas is actually not a config file and we
usually don't mark this as %config.
http://www.redhat.com/archives/rhl-devel-list/2007-April/msg00333.html

Comment 6 Parag AN(पराग) 2007-09-03 04:26:35 UTC
(In reply to comment #5)
> (In reply to comment #3)
> > add %config to %{_sysconfdir}/gconf/schemas/*.schemas
> > 
> > -->
> > %config(noreplace)  %{_sysconfdir}/gconf/schemas/*.schemas
> > 
> 
> Well.. gconf schemas is actually not a config file and we
> usually don't mark this as %config.
> http://www.redhat.com/archives/rhl-devel-list/2007-April/msg00333.html

thanks for pointing that. So still no decision has been made on this issue. Also
,rpmlint bug is waiting for some conclusion.

Zhu,
  Can you please revert back changes in %files section to remove %config(noreplace)?

Also,
Can't see changelog updated in SPEC?
why following files is not added to %doc?
COPYING Changelog Doc/FAQ  Doc/HACKING  doc/HowToCreateDictionary
doc/StarDictFileFormat  doc/Translation

Also, Is it good to add test directory to %doc?

Comment 7 Hu Zheng 2007-09-03 05:50:59 UTC
Done. Updated in CVS.

Comment 8 Parag AN(पराग) 2007-09-03 08:54:23 UTC
Looks I missed one last thing -> desktop files handling.
check
http://fedoraproject.org/wiki/Packaging/Guidelines#head-d559ee7363418a5840ce63090c608c991cd39ce6
and update SPEC. Not necessary to increase release but add changelog under
3.0.0-4 version

Comment 9 Hu Zheng 2007-09-03 09:37:46 UTC
Done again:)

Comment 10 Parag AN(पराग) 2007-09-03 11:06:50 UTC
hey you forgot to change %files
mock build gave me
error: Installed (but unpackaged) file(s) found:
   /usr/share/applications/fedora-stardict.desktop
When using syntax to install desktop files from 
http://fedoraproject.org/wiki/Packaging/Guidelines#head-d559ee7363418a5840ce63090c608c991cd39ce6
desktop file name got renamed to fedora-%{desktopfilename}.desktop

Also, I think you should use following syntax for installation of desktop file
desktop-file-install --vendor fedora --delete-original  \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications         \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop


Comment 11 Hu Zheng 2007-09-04 02:49:15 UTC
Sorry, It is fixed now.
Is it OK now?

Comment 12 Parag AN(पराग) 2007-09-04 04:16:58 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM.
- rpmlint is not silent on RPM
W: stardict non-conffile-in-etc /etc/gconf/schemas/stardict.schemas
 but this can be ignored.
+ source files match upstream.
23bbfd0a75baab5d0def5596f19b80cb  stardict-3.0.0.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Desktop file handled correctly.
+ scrollkeeper scriptlet used.
+ Binary RPM stardict-3.0.0-4.fc8 ->
  Provides: advertisement.so stardict_espeak.so stardict_gucharmap.so
stardict_html_parsedata.so stardict_man.so stardict_powerword_parsedata.so
stardict_spell.so stardict_update_info.so stardict_wiki_parsedata.so
stardict_xdxf_parsedata.so
  Requires: bonobo-activation >= 2.2.0 enchant espeak gucharmap libICE.so.6
libORBit-2.so.0 libSM.so.6 libX11.so.6 libart_lgpl_2.so.2 libatk-1.0.so.0
libbonobo >= 2.2.0 libbonobo-2.so.0 libbonobo-activation.so.4 libbonoboui-2.so.0
libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1) libc.so.6(GLIBC_2.1.2)
libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.2) libc.so.6(GLIBC_2.3.4)
libc.so.6(GLIBC_2.4) libcairo.so.2 libdl.so.2 libenchant.so.1 libespeak.so.1
libgcc_s.so.1 libgcc_s.so.1(GCC_3.0) libgconf-2.so.4 libgdk-x11-2.0.so.0
libgdk_pixbuf-2.0.so.0 libglib-2.0.so.0 libgmodule-2.0.so.0 libgnome >= 2.2.0
libgnome-2.so.0 libgnomecanvas-2.so.0 libgnomeui >= 2.2.0 libgnomeui-2.so.0
libgnomevfs-2.so.0 libgobject-2.0.so.0 libgthread-2.0.so.0 libgtk-x11-2.0.so.0
libgucharmap.so.6 libm.so.6 libpango-1.0.so.0 libpangocairo-1.0.so.0
libpopt.so.0 libpthread.so.0 libpthread.so.0(GLIBC_2.0) librt.so.1 libsigc++20
>= 2.0.17 libsigc-2.0.so.0 libstdc++.so.6 libstdc++.so.6(CXXABI_1.3)
libstdc++.so.6(GLIBCXX_3.4) libz.so.1 rtld(GNU_HASH)
+ GUI app.

APPROVED.



Note You need to log in before you can comment on or make changes to this bug.